This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 128836 - HTTP Status 500 - Error invoking operation store
HTTP Status 500 - Error invoking operation store
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-30 06:05 EDT by Henry Ritzlmayr
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 12:49:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Henry Ritzlmayr 2004-07-30 06:05:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040706 Firefox/0.9.1

Description of problem:
Pressing the "Commit Changes" Button in the Administartion Tool the
error "HTTP Status 500  Error invoking operation store" comes up.
Doing a "ps ax" afterwards you can see four zombies:

5604 pts/3    Z      0:00 [c++filt] <defunct>
5605 pts/3    Z      0:00 [addr2line] <defunct>
5606 pts/3    Z      0:00 [c++filt] <defunct>
5607 pts/3    Z      0:00 [addr2line] <defunct>



Version-Release number of selected component (if applicable):
tomcat-4.1.27-13

How reproducible:
Always

Steps to Reproduce:
1. install tomcat (rpm from fc2)
2. uncomment the non-SSL Coyote HTTP/1.1 Connector port
   in /etc/tomcat/server.xml
3. create admin user in /etc/tomcat/tomcat-users.xml
4. change ENSURE_CONFIG_WRITABLE=yes
   in /etc/sysconfig/tomcat
5. Start tomcat Service
6. in a browser go to 127.0.0.1:8080
7. sign on to the admin tool
8. press commit changes button
    

Actual Results:  HTTP Status 500 Error invoking operation store

Expected Results:  something like: Changes commited

Additional info:
Comment 1 Henry Ritzlmayr 2004-07-30 07:04:20 EDT
Enabling the debugging gives the following error in
/var/log/tomcat/localhost_admin.log

Caused by: javax.management.MBeanException: Error updating 
conf/server.xmlnested exception is java.io.FileNotFoundException: 
/etc/tomcat:server.xml.new (Keine Berechtigung)
...........^...................................
shouldn't that be
/etc/tomcat/server.xml.new

creating /etc/tomcat:server.xml.new and assigning the propper rights
leads to:
Caused by: javax.management.MBeanException: Error updating 
conf/server.xmlnested exception is java.io.IOException: Cannot rename 
/etc/tomcat:server.xml to /etc/tomcat:server.xml.2004-07-30.09-56-36
...........^.........................^..............................
 
wich should be
/etc/tomcat/server.xml to /etc/tomcat/server.xml.2004-07-30.09-56-36
Comment 2 Matthew Miller 2005-04-26 11:27:50 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 John Thacker 2006-10-28 12:49:30 EDT
FC1 and FC2 are no longer supported even by Fedora Legacy, and this bug refers
to tomcat version 4.x, last shipped in FC2.  tomcat5 replaced it, and has quite
a few differences, so please retest the bug.  If this still occurs on FC3 or
FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.